Observability
Export a bounded recent trace set
POST /v1/observability/exports · SDK createObservabilityExport · CLI deployments observability export
POST
Requires observability:read. A suspended organization can still call it.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
limit?integerRange
1 <= value <= 1000ObservabilityExportResponse
application/json- response
generatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeitems*array<>curl -X POST "https://example.com/v1/observability/exports" \ -H "x-deployments-organization: string" \ -H "Content-Type: application/json" \ -d '{}'{ "generatedAt": "2019-08-24T14:15:22Z", "items": [ { "agent_definition_id": "string", "agent_deployment_id": "string", "agent_release_id": "string", "completed_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "environment_id": "string", "error_class": "string", "execution_purpose": "string", "fact_id": "string", "finalized_at": "2019-08-24T14:15:22Z", "occurred_at": "2019-08-24T14:15:22Z", "project_id": "string", "release_selection": "string", "root_run_id": "string", "run_count": 0, "run_id": "string", "session_id": "string", "status": "string", "total_cost_usd_micros": 0, "total_tokens": 0, "trace_id": "string", "trigger": "string" } ]}